import { Knex } from "knex";

export async function up(knex: Knex) {
  await knex.schema.createTable("voicemails", (table) => {
    table.bigInteger("messageId").primary().notNullable();
    table.bigInteger("extensionId").notNullable();
    table.dateTime("received").notNullable();
    table.string("toNumber", 32).notNullable();
    table.string("extensionNumber", 16).notNullable();
    table.string("extensionName", 64).notNullable();
    table.string("fromNumber", 32).notNullable();
    table.string("fromName", 64).notNullable();
    table.integer("duration").notNullable();
    table.string("transcriptionStatus", 32).notNullable();
    table.text("transcription");
    table.integer("ticketId");
    table.integer("contactId");
    table.string("contactableType", 32);
    table.integer("contactableId");
  });
}

export async function down(knex: Knex) {
  await knex.schema.dropTableIfExists("voicemails");
}
