import { Knex } from "knex";

export async function up(knex: Knex) {
  await knex.schema.createTable("recordings", (table) => {
    table.bigInteger("messageId").primary().references("voicemails.messageId");
    table.string("mimeType", 32);
    table.binary("audio");
  });
}

export async function down(knex: Knex) {
  await knex.schema.dropTable("recordings");
}
